From 0526b6c98afaec357ebac2b8f9ac94a8a30378fc Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Tue, 26 Mar 2024 12:54:25 +0200
Subject: [PATCH v9.heikki 5/9] Tidy up #includes

Nothing in the prototypes defined in streaming_read.h depend on smgr.h
or fd.h.
---
 src/backend/storage/aio/streaming_read.c | 2 ++
 src/include/storage/streaming_read.h     | 2 --
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/storage/aio/streaming_read.c b/src/backend/storage/aio/streaming_read.c
index e530a6da0ed..82a2227d4d5 100644
--- a/src/backend/storage/aio/streaming_read.c
+++ b/src/backend/storage/aio/streaming_read.c
@@ -87,6 +87,8 @@
 
 #include "catalog/pg_tablespace.h"
 #include "miscadmin.h"
+#include "storage/fd.h"
+#include "storage/smgr.h"
 #include "storage/streaming_read.h"
 #include "utils/rel.h"
 #include "utils/spccache.h"
diff --git a/src/include/storage/streaming_read.h b/src/include/storage/streaming_read.h
index f0ce3e45956..74053d704ff 100644
--- a/src/include/storage/streaming_read.h
+++ b/src/include/storage/streaming_read.h
@@ -15,8 +15,6 @@
 #define STREAMING_READ_H
 
 #include "storage/bufmgr.h"
-#include "storage/fd.h"
-#include "storage/smgr.h"
 
 /* Default tuning, reasonable for many users. */
 #define STREAMING_READ_DEFAULT 0x00
-- 
2.39.2

